%define upstream_name File-Tail
%define upstream_version 1.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL or Artistic
Summary:    File::Tail module for Perl
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/M/MG/MGRABNAR/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

Requires:   perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::stat)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Time::HiRes) >= 1.120.0
BuildRequires: perl-devel
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This Perl modules allows to read from continuously updated files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.300.0-7.mga10
+ Revision: 2198743
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.300.0-6.mga9
+ Revision: 1803731
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-5.mga8
+ Revision: 1494561
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-4.mga7
+ Revision: 1268175
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-3.mga6
+ Revision: 1027618
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.300.0-2.mga6
+ Revision: 969092
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 1.300.0-1.mga6
+ Revision: 861352
- update to 1.3

* Mon Jul 06 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 852114
- update to 1.2

* Sat Jul 04 2015 sander85 <sander85> 0.99.3-10.mga6
+ Revision: 850093
- update to

* Wed Oct 15 2014 umeabot <umeabot> 0.99.3-10.mga5
+ Revision: 749675
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.3-9.mga5
+ Revision: 684774
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.99.3-8.mga4
+ Revision: 511682
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.99.3-7.mga3
+ Revision: 367388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.99.3-6.mga1
+ Revision: 30396
- mageia rebuild
- imported package perl-File-Tail


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.99.3-6mdv2010.1
+ Revision: 426445
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.99.3-5mdv2009.1
+ Revision: 351766
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.99.3-4mdv2009.0
+ Revision: 223755
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.3-3mdv2008.1
+ Revision: 180397
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.99.3-2mdv2007.0
+ Revision: 108534
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - Import perl-File-Tail

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.99.3-1mdk
- New release 0.99.3
- make rpmbuildupdate-able

* Thu Jun 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.99.1-2mdk
- Rebuild

* Wed Jan 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.99.1-1mdk
- New version
- Update description
- Remove MANIFEST

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98-5mdk
- rebuild

